Bug 1161783 - Entry Iterator should throw AvailabilityException in degraded partition mode
Summary: Entry Iterator should throw AvailabilityException in degraded partition mode
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER6
: 6.4.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-07 21:11 UTC by William Burns
Modified: 2015-01-28 13:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-28 13:27:52 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-4890 Blocker Resolved Entry iterator should throw AvailabilityException in degraded mode 2015-09-28 15:58:17 UTC
JBoss Issue Tracker ISPN-4904 Major Resolved PartitionHandlingInterceptor should not do checks when Flag.CACHE_MODE_LOCAL is supplied 2015-09-28 15:58:17 UTC

Description William Burns 2014-11-07 21:11:10 UTC
Description of problem:
Now that partition support is in we also need to make sure the entry iterator handles it properly when a partition is no longer available.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Sebastian Łaskawiec 2014-11-17 10:36:13 UTC
PR: https://github.com/infinispan/jdg/pull/355


Note You need to log in before you can comment on or make changes to this bug.